#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "K39PowerAddon20.generated.h"

class APallet;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class UK39PowerAddon20 : public UItemAddon
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	bool _isOnLastSwing;

private:
	UFUNCTION(BlueprintCallable, NetMulticast, Reliable)
	void Multicast_DestroyPallet(APallet* pallet);

public:
	UK39PowerAddon20();
};

FORCEINLINE uint32 GetTypeHash(const UK39PowerAddon20) { return 0; }
